package com.vendor.platform.ui.update;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.platform.ui.Messages;
import com.vendor.platform.ui.update.UpdateFileChecker;
import com.vendor.platform.ui.update.UpdateFileInstaller;
import org.eclipse.swt.graphics.Rectangle;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Layout;
import org.eclipse.swt.widgets.Monitor;
import org.eclipse.swt.widgets.Shell;

public class UpdateTipsWindow {
  protected boolean isCheck;
  
  protected Shell shell;
  
  public UpdateTipsWindow(boolean isCheck) {
    this.isCheck = isCheck;
  }
  
  public void open() {
    Display display = Display.getDefault();
    createContents();
    this.shell.open();
    this.shell.layout();
    while (!this.shell.isDisposed()) {
      boolean isOK = false;
      if (this.isCheck) {
        isOK = UpdateFileChecker.INSTANCE.isOK();
      } else {
        isOK = UpdateFileInstaller.INSTANCE.isOK();
      } 
      if (isOK)
        this.shell.close(); 
      if (!display.readAndDispatch())
        display.sleep(); 
    } 
  }
  
  protected void asyncClose() {
    Display display = Display.getDefault();
    display.asyncExec((Runnable)new Object(this));
  }
  
  protected void createContents() {
    this.shell = new Shell(65568);
    this.shell.setSize(400, 150);
    this.shell.setText("ToolPlatform");
    this.shell.setLayout((Layout)new GridLayout(1, false));
    Monitor primary = Display.getCurrent().getPrimaryMonitor();
    Rectangle bounds = primary.getBounds();
    Rectangle rect = this.shell.getBounds();
    int x = bounds.x + (bounds.width - rect.width) / 2;
    int y = bounds.y + (bounds.height - rect.height) / 2;
    this.shell.setLocation(x, y);
    Label lblTips = new Label((Composite)this.shell, 0);
    lblTips.setLayoutData(new GridData(16777216, 16777216, true, true, 1, 1));
    if (this.isCheck) {
      lblTips.setText(Messages.UpdateTipsWindow_0);
    } else {
      lblTips.setText(Messages.UpdateTipsWindow_1);
    } 
  }
}
